<?php
// +----------------------------------------------------------------------+
// | showFlag.php                                                         |
// |   the flag image online shower.                                      |
// +----------------------------------------------------------------------+
// |        joPHPFlags project                                            |
// | coded in PHP version 4 in 2004 by Joel Thieffry & the zeRezo group   |
// +----------------------------------------------------------------------+
// |  This source file is subject to the Lesser GNU Public Licence, which |
// | text can be found at http://www.gnu.org/licenses/lgpl.txt .          |
// +----------------------------------------------------------------------+
// | Authors: Joel Thieffry <jo@zerezo.com>                               |
// +----------------------------------------------------------------------+

  require_once("joPHPFlags.inc.php");
  
  // Get the codename of the flag.
  $codename = @$_REQUEST["name"];
  if (is_null($codename))
    $codename = "France";
  
  // Get the eventual width for the flag image.
  $width = @$_REQUEST["w"];
  if (is_null($width))
    $width = 0;
  // Get the eventual lenght for the flag image.
  $height = @$_REQUEST["h"];
  if (is_null($height))
    $height = 0;
  // Get the eventual border info for the flag image.
  $border = @$_REQUEST["border"];

  // Get the eventual no antialias request (for speedup).
  $noantialias = ! is_null(@$_REQUEST["noantialias"]);
  
  // Get the eventual image format.
  $imageFormat = @$_REQUEST["format"];

  // Generate the requested flag image.
  $f = &new joPHPFlags($codename, $width, $height);
  $i = $f->getImage(!$noantialias);
  // For now we just asks for something in "border". To be extended.
  if (! is_null($border))
    ImageAddBlackBorder($i);
    
  // Send the generated flag image to the browser.
  switch (StrToUpper($imageFormat)) {
    case 'GIF':
      showGIF($i);
    case 'JPG':
    case 'JPEG':
      showJPG($i);
    case 'WBMP':
      showWBMP($i);
    default:  // PNG is by default.
      showPNG($i);
  }
?>
