<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
  <title>joPHPFlags test facility</title>
  <meta name="title" content="joPHPFlags test facility" />
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-language" content="en" />
  <meta name="author" content="IoDream" />
  <link rel="made" href="mailto:joATzerezoDOTcom" />
</head>
<body>
<h2 style="text-align: center;">joPHPFlags test facility</h2>
<?php
// +----------------------------------------------------------------------+
// | testFlags.php                                                        |
// |   the joPHPFlags test facility, used to test showFlag.php with all   |
// |   flags in the internal database.                                    |
// +----------------------------------------------------------------------+
// |        joPHPFlags project                                            |
// | coded in PHP version 4 in 2004 by Joel Thieffry & the zeRezo group   |
// +----------------------------------------------------------------------+
// |  This source file is subject to the Lesser GNU Public Licence, which |
// | text can be found at http://www.gnu.org/licenses/lgpl.txt .          |
// +----------------------------------------------------------------------+
// | Authors: Joel Thieffry <jo@zerezo.com>                               |
// +----------------------------------------------------------------------+

  require_once("joPHPFlags.inc.php");

  // Set the width and other options for future flags images.
  $suffix = '&w=324&border=1';
  // Retrieve the URL for the script.
  $scriptname = 'http://'.$_SERVER['SERVER_NAME'].(($_SERVER['SERVER_PORT'] == 80)?"":':'.$_SERVER['SERVER_PORT'])
              .dirname($_SERVER["REQUEST_URI"]).'/showflag.php';
  // Get the flag list from the internal database.
  $allflags = jPF_getFlagList();

  foreach (jPF_getFlagList() as $key) {
    $name = strtoupper($key);
    echo "<img src=\"$scriptname?name=$key$suffix\" alt=\"[Flag for $name]\" />$name&nbsp;\n";
  }
?>
</body>
</html>
